package cn.iocoder.yudao.module.visit.service.home;

import cn.iocoder.yudao.module.visit.controller.admin.home.vo.*;

import javax.validation.Valid;

/**
 * 主页 Service 接口
 *
 * @author 超级管理员
 */
public interface HomeService {


    HomeFirstRespVO getHomeInfoFirst(HomeReqVO reqVO);

    HomeBfztjRespVO getHomeInfoBfztj(HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoKhxzdjzbqk(@Valid HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoBfrjfbqk(@Valid HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoKhbffszbqk(@Valid HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoKhbmzbqk(@Valid HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoKhbflxzbqk(@Valid HomeReqVO reqVO);

    HomeKhxzdjzbqkRespVO getHomeInfoBfcplxzbqk(@Valid HomeReqVO reqVO);

    HomeBfrtjRespVO getHomeInfoBfrtj(@Valid HomeReqVO reqVO);
}